## GMimeMessagePart

GMimeMessagePart — Message parts

## Functions

GMimeMessagePart * | g_mime_message_part_new ()
GMimeMessagePart * | g_mime_message_part_new_with_message ()
GMimeMessage * | g_mime_message_part_get_message ()
void | g_mime_message_part_set_message ()

## Types and Values

struct | GMimeMessagePart

## Object Hierarchy

        GObject
        ╰── GMimeObject
            ╰── GMimeMessagePart

## Description

A GMimeMessagePart represents message/rfc822 and message/news MIME parts.

## Functions

### g_mime_message_part_new ()

    GMimeMessagePart *
    g_mime_message_part_new (const char *subtype);

Creates a new MIME message part object with a default content-type of message/`subtype` .

#### Parameters

subtype | message subtype or `NULL` for "rfc822" |

#### Returns

an empty MIME message part object with a default content-type of message/`subtype` .

### g_mime_message_part_new_with_message ()

    GMimeMessagePart *
    g_mime_message_part_new_with_message (const char *subtype,
                                          GMimeMessage *message);

Creates a new MIME message part object with a default content-type of message/`subtype` containing `message` .

#### Parameters

subtype | message subtype or `NULL` for "rfc822" |
message | message |

#### Returns

a MIME message part object with a default content-type of message/`subtype` containing `message` .

### g_mime_message_part_get_message ()

    GMimeMessage *
    g_mime_message_part_get_message (GMimeMessagePart *part);

Gets the message object on the message part object `part` .

#### Parameters

part | message part |

#### Returns

the message part contained within `part` .

[transfer none]

### g_mime_message_part_set_message ()

    void
    g_mime_message_part_set_message (GMimeMessagePart *part,
                                     GMimeMessage *message);

Sets the `message` object on the message part object `part` .

#### Parameters

part | message part |
message | message |

## Types and Values

### struct GMimeMessagePart

    struct GMimeMessagePart;

A message/rfc822 or message/news MIME part.

#### Members